aboutsummaryrefslogtreecommitdiffstats
path: root/main/readline/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-07-30 08:51:11 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-07-30 08:54:53 +0000
commit5c904717322f8113870abf48cc93c3c8b00ab4e8 (patch)
treee077e5c3afa20630fd6e96db5872f03d622d639e /main/readline/APKBUILD
parenta879839450737e3cbdb64415af42347c97ccfa28 (diff)
downloadaports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.gz
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.bz2
aports-5c904717322f8113870abf48cc93c3c8b00ab4e8.tar.xz
[all autotools packages]: normalize ./configure
Diffstat (limited to 'main/readline/APKBUILD')
-rw-r--r--main/readline/APKBUILD5
1 files changed, 4 insertions, 1 deletions
diff --git a/main/readline/APKBUILD b/main/readline/APKBUILD
index 4fa4dc6232..12fa5501ba 100644
--- a/main/readline/APKBUILD
+++ b/main/readline/APKBUILD
@@ -35,9 +35,12 @@ prepare() {
build() {
cd "$_builddir"
./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
--prefix=/usr \
--mandir=/usr/share/man \
- --infodir=/usr/share/info
+ --infodir=/usr/share/info \
+ || return 1
make SHLIB_LIBS=-lncurses || return 1
}